'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var path = _interopDefault(require('path'));
var critical = _interopDefault(require('critical'));

function CriticalCssWebpackPlugin() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  this.options = Object.assign({
    src: 'index.html',
    dest: 'index.html',
    inline: true,
    minify: true,
    extract: true,
    width: 375,
    height: 565,
    penthouse: {
      blockJSRequests: false
    }
  }, options);
}

CriticalCssWebpackPlugin.prototype.apply = function (compiler) {
  var _this = this;

  compiler.plugin('after-emit', function (compilation, callback) {
    var base = compilation.outputOptions.path;
    var css = Object.keys(compilation.assets).filter(function (filename) {
      return /\.css$/.test(filename);
    }).map(function (filename) {
      return path.join(base, filename);
    });
    critical.generate(Object.assign({
      base: base,
      css: css
    }, _this.options), callback);
  });
};

module.exports = CriticalCssWebpackPlugin;
